%define upstream_name    Dist-Zilla-Plugin-CopyReadmeFromBuild
%define upstream_version 0.0019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Copy README after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
CopyReadmeFromBuild will automatically copy the README from the build
directory into the distribution directory. This is so you can commit the
README to version control. GitHub, for example, likes to see a README

Dist::Zilla::Plugin::Readme will not like it if you already have a README,
so you'll have to disable that plugin, an example of which is:

    [@Filter]
    bundle = @Basic
    remove = Readme

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Aug 26 2011 jquelin <jquelin> 0.1.900-1.mga2
+ Revision: 135406
- imported package perl-Dist-Zilla-Plugin-CopyReadmeFromBuild


* Fri Aug 26 2011 cpan2dist 0.0019-1mga
- initial mageia release, generated with cpan2dist
